package cn.iocoder.yudao.module.employee.controller.admin.employeeinfo.vo;

import lombok.*;

import java.time.LocalDate;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工合同信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class EmployeeContractInfoPageReqVO extends PageParam {

    @Schema(description = "业务UUID", example = "8684")
    private String infoId;

    @Schema(description = "合同编号，唯一")
    private String contractNumber;

    @Schema(description = "员工ID", example = "19556")
    private String employeeId;

    @Schema(description = "合同开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] contractStartDate;

    @Schema(description = "合同结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] contractEndDate;

    @Schema(description = "工作内容")
    private String jobContent;

    @Schema(description = "合同状态", example = "1")
    private String contractStatus;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}