package cn.iocoder.yudao.module.employee.controller.admin.employeeinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 员工合同信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class EmployeeContractInfoRespVO {

    @Schema(description = "合同ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4905")
    @ExcelProperty("合同ID")
    private Long id;

    @Schema(description = "业务UUID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8684")
    @ExcelProperty("业务UUID")
    private String infoId;

    @Schema(description = "合同编号，唯一", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("合同编号，唯一")
    private String contractNumber;

    @Schema(description = "员工ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "19556")
    @ExcelProperty("员工ID")
    private String employeeId;

    @Schema(description = "合同开始日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("合同开始日期")
    private LocalDate contractStartDate;

    @Schema(description = "合同结束日期")
    @ExcelProperty("合同结束日期")
    private LocalDate contractEndDate;

    @Schema(description = "工作内容")
    @ExcelProperty("工作内容")
    private String jobContent;

    @Schema(description = "合同状态", example = "1")
    @ExcelProperty("合同状态")
    private String contractStatus;

    @Schema(description = "备注信息")
    @ExcelProperty("备注信息")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}