package cn.iocoder.yudao.module.employee.controller.admin.employeeinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@Schema(description = "管理后台 - 员工合同信息新增/修改 Request VO")
@Data
public class EmployeeContractInfoSaveReqVO {

    @Schema(description = "合同ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "4905")
    private Long id;

    @Schema(description = "业务UUID", requiredMode = Schema.RequiredMode.REQUIRED, example = "8684")
    @NotEmpty(message = "业务UUID不能为空")
    private String infoId;

    @Schema(description = "合同编号，唯一", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "合同编号，唯一不能为空")
    private String contractNumber;

    @Schema(description = "员工ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "19556")
    @NotEmpty(message = "员工ID不能为空")
    private String employeeId;

    @Schema(description = "合同开始日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "合同开始日期不能为空")
    private LocalDate contractStartDate;

    @Schema(description = "合同结束日期")
    private LocalDate contractEndDate;

    @Schema(description = "工作内容")
    private String jobContent;

    @Schema(description = "合同状态", example = "1")
    private String contractStatus;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态不能为空")
    private Integer status;

}