package cn.iocoder.yudao.module.employee.dal.dataobject.employeeinfo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 员工合同信息 DO
 *
 * @author 芋道源码
 */
@TableName("employee_contract_info")
@KeySequence("employee_contract_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeContractInfoDO extends BaseDO {

    /**
     * 合同ID
     */
    @TableId
    private Long id;
    /**
     * 业务UUID
     */
    private String infoId;
    /**
     * 合同编号，唯一
     */
    private String contractNumber;
    /**
     * 员工ID
     */
    private String employeeId;
    /**
     * 合同开始日期
     */
    private LocalDate contractStartDate;
    /**
     * 合同结束日期
     */
    private LocalDate contractEndDate;
    /**
     * 工作内容
     */
    private String jobContent;
    /**
     * 合同状态
     */
    private String contractStatus;
    /**
     * 备注信息
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;

}