package cn.iocoder.yudao.module.employee.service.employeeinfo;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.employee.controller.admin.employeeinfo.vo.EmployeeContractInfoPageReqVO;
import cn.iocoder.yudao.module.employee.controller.admin.employeeinfo.vo.EmployeeContractInfoSaveReqVO;
import cn.iocoder.yudao.module.employee.dal.dataobject.employeeinfo.EmployeeContractInfoDO;

import javax.validation.Valid;

/**
 * 员工合同信息 Service 接口
 *
 * @author 芋道源码
 */
public interface EmployeeContractInfoService {

    /**
     * 创建员工合同信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createContractInfo(@Valid EmployeeContractInfoSaveReqVO createReqVO);

    /**
     * 更新员工合同信息
     *
     * @param updateReqVO 更新信息
     */
    void updateContractInfo(@Valid EmployeeContractInfoSaveReqVO updateReqVO);

    /**
     * 删除员工合同信息
     *
     * @param id 编号
     */
    void deleteContractInfo(Long id);

    /**
     * 获得员工合同信息
     *
     * @param id 编号
     * @return 员工合同信息
     */
    EmployeeContractInfoDO getContractInfo(Long id);

    /**
     * 获得员工合同信息分页
     *
     * @param pageReqVO 分页查询
     * @return 员工合同信息分页
     */
    PageResult<EmployeeContractInfoDO> getContractInfoPage(EmployeeContractInfoPageReqVO pageReqVO);

}